Loading...
Searching...
No Matches
CMotion Class Referenceabstract
Inheritance diagram for CMotion:
[legend]

## Public Member Functions

| CMotion (COldObject *object)
void | SetPhysics (CPhysics *physics)
virtual void | DeleteObject (bool bAll=false)=0
virtual void | Create (Math::Vector pos, float angle, ObjectType type, float power, Gfx::COldModelManager *modelManager)=0
virtual bool | EventProcess (const Event &event)
virtual Error | SetAction (int action, float time=0.2f)
virtual int | GetAction ()
virtual bool | SetParam (int rank, float value)
virtual float | GetParam (int rank)
virtual bool | Write (CLevelParserLine *line)
virtual bool | Read (CLevelParserLine *line)
virtual void | SetLinVibration (Math::Vector dir)
virtual Math::Vector | GetLinVibration ()
virtual void | SetCirVibration (Math::Vector dir)
virtual Math::Vector | GetCirVibration ()
virtual void | SetTilt (Math::Vector dir)
virtual Math::Vector | GetTilt ()

## Protected Attributes

CApplication * | m_app
Gfx::CEngine * | m_engine
Gfx::CParticle * | m_particle
Gfx::CTerrain * | m_terrain
Gfx::CWater * | m_water
Gfx::CCamera * | m_camera
COldObject * | m_object
CPhysics * | m_physics
CRobotMain * | m_main
CSoundInterface * | m_sound
int | m_actionType
float | m_actionTime
float | m_progress
Math::Vector | m_linVibration
Math::Vector | m_cirVibration
Math::Vector | m_inclinaison

The documentation for this class was generated from the following files:

- src/object/motion/motion.h
- src/object/motion/motion.cpp